#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 4 addon with framework integration
Name:           frameworkintegration
Version: 6.14.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6NewStuffCore)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6Package)
BuildRequires:  cmake(KF6I18n)

BuildRequires:  cmake(AppStreamQt) >= 1.0
BuildRequires:  pkgconfig(packagekitqt6)

BuildRequires:  pkgconfig(xcursor)


%description
Framework Integration is a set of plugins responsible for better integration of
Qt applications when running on a KDE Plasma workspace.

%files
%_kf6_plugindir/FrameworkIntegrationPlugin.so
%_kf6_knotificationsdir/plasma_workspace.notifyrc
%_kf6_libexecdir/kpackagehandlers/knshandler
%_kf6_libexecdir/kpackagehandlers/appstreamhandler

#--------------------------------------------------------------------

%define kf6style_major 6
%define libkf6style %mklibname kf6style %{kf6style_major}

%package -n %libkf6style
Summary:        KDE Frameworks 6 Tier 4 addon with framework integration
Group:          System/Libraries
Recommends:     %name = %version-%release

%description -n %libkf6style
Framework Integration is a set of plugins responsible for better integration of
Qt applications when running on a KDE Plasma workspace.

%files -n %libkf6style
%_kf6_libdir/libKF6Style.so.%{kf6style_major}
%_kf6_libdir/libKF6Style.so.%{version}

#--------------------------------------------------------------------

%define kf6style_devel %mklibname kf6frameworkintegration -d

%package -n %kf6style_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6style = %version-%release
Requires:       %name = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6style_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6style_devel
%_kf6_includedir/KStyle/
%_kf6_includedir/FrameworkIntegration/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KF6FrameworkIntegration/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install


%changelog
* Sun May 11 2025 daviddavid <daviddavid> 6.14.0-1.mga10
+ Revision: 2182372
- New version 6.14.0

* Sun Apr 13 2025 daviddavid <daviddavid> 6.13.0-1.mga10
+ Revision: 2175094
- New version 6.13.0

* Sat Mar 15 2025 daviddavid <daviddavid> 6.12.0-1.mga10
+ Revision: 2164106
- New version 6.12.0

* Thu Jan 09 2025 daviddavid <daviddavid> 6.10.0-1.mga10
+ Revision: 2136372
- New version 6.10.0

* Fri Dec 20 2024 daviddavid <daviddavid> 6.9.0-1.mga10
+ Revision: 2126557
- New version 6.9.0

* Sat Nov 09 2024 daviddavid <daviddavid> 6.8.0-1.mga10
+ Revision: 2113055
- New version 6.8.0

* Fri Oct 11 2024 daviddavid <daviddavid> 6.7.0-1.mga10
+ Revision: 2104728
- New version 6.7.0

* Sat Sep 14 2024 daviddavid <daviddavid> 6.6.0-1.mga10
+ Revision: 2095899
- New version 6.6.0

* Fri Aug 09 2024 daviddavid <daviddavid> 6.5.0-1.mga10
+ Revision: 2084341
- New version 6.5.0

* Fri Jun 07 2024 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2070513
- New version 6.3.0

* Sat May 11 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2063369
- New version 6.2.0

* Sat Apr 13 2024 daviddavid <daviddavid> 6.1.0-1.mga10
+ Revision: 2056803
- New version 6.1.0

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2044901
- New version 6.0.0

* Tue Feb 06 2024 neoclust <neoclust> 5.249.0-1.mga10
+ Revision: 2037461
- New version 5.249.0

* Wed Jan 10 2024 neoclust <neoclust> 5.248.0-1.mga10
+ Revision: 2029553
- New version 5.248.0

* Mon Jan 01 2024 neoclust <neoclust> 5.247.0-1.mga10
+ Revision: 2025589
- New version 5.247.0
- New version 5.246.0

* Sat Nov 11 2023 neoclust <neoclust> 5.245.0-1.mga10
+ Revision: 2006126
- New version 5.245.0

* Thu Oct 19 2023 daviddavid <daviddavid> 5.111.0-1.mga10
+ Revision: 1998937
- New version 5.111.0

* Sat Sep 16 2023 daviddavid <daviddavid> 5.110.0-1.mga10
+ Revision: 1987329
- New version 5.110.0

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952011
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947820
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941321
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1934976
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922218
- New version 5.101.0

* Sun Nov 27 2022 neoclust <neoclust> 5.100.0-1.mga9
+ Revision: 1911591
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900195
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1887630
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1880578
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1871677
- New version 5.96.0

* Mon Apr 25 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853197
- New version 5.93.0

* Sat Apr 09 2022 neoclust <neoclust> 5.92.0-1.mga9
+ Revision: 1848425
- New version 5.92.0

* Mon Nov 08 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1754805
- New version 5.88.0

* Sun Oct 03 2021 neoclust <neoclust> 5.87.0-1.mga9
+ Revision: 1749056
- New version 5.87.0
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 5.84.0-1.mga9
+ Revision: 1735238
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723429
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714825
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1702003
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1691094
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653308
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633162
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625576
- New version 5.74.0

* Sun Aug 09 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612293
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603067
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1592761
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1581987
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566478
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556654
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-2.mga8
+ Revision: 1546921
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1486792
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466202
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457587
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1450968
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1444783
- New version 5.62.0

* Thu Jul 11 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420045
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386911
- New version 5.57.0

* Sat Mar 30 2019 umeabot <umeabot> 5.56.0-2.mga7
+ Revision: 1381781
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1374538
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364513
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356636
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1339192
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1318939
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1297759
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1247289
- New version 5.49.0

* Tue May 22 2018 daviddavid <daviddavid> 5.46.0-2.mga7
+ Revision: 1231504
- enable packagekitqt5 and AppStreamQt support

* Mon May 14 2018 neoclust <neoclust> 5.46.0-1.mga7
+ Revision: 1229227
- New version 5.46.0

* Thu Jan 11 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1192259
- New version 5.42.0

* Tue Dec 12 2017 neoclust <neoclust> 5.41.0-1.mga7
+ Revision: 1182309
- New version 5.41.0

* Thu Sep 28 2017 neoclust <neoclust> 5.38.0-1.mga7
+ Revision: 1161215
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 5.37.0-1.mga7
+ Revision: 1140377
- New version 5.37.0

* Sun Jul 16 2017 neoclust <neoclust> 5.36.0-1.mga7
+ Revision: 1123478
- New version 5.36.0

* Tue Mar 07 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1089513
- New version 5.32.0

* Fri Feb 03 2017 neoclust <neoclust> 5.29.0-2.mga6
+ Revision: 1084663
- Enable Start/Stop Sounds

* Wed Dec 14 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1075012
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072173
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058332
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050509
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045087
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041309
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021908
- New version 5.23.0

* Sun May 15 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1015793
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999615
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986306
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942227
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921261
- New version 5.18.0

* Tue Dec 22 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913369
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909901
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900433
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899362
- Rebuild against fixed extra-cmake-modules

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 899354
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888145
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881369
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 863141
- New version 5.13.0
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-3.mga6
+ Revision: 862792
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Mon Aug 03 2015 lmenut <lmenut> 5.12.0-2.mga6
+ Revision: 860880
- rebuild for Qt 5.5.0

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853945
- New version 5.12.0

* Tue Jun 30 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 848450
- New version 5.11.0

* Thu Dec 18 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803971
- New version 5.5.0
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 747147
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 679323
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660408
- New version 5.1.0
- New version 5.1.0
- Add require in devel package

* Mon Jul 14 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 652240
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0
- New version 4.98.0

* Thu Mar 06 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 600539
- New version 4.97.0

* Thu Feb 27 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 597531
- imported package frameworkintegration

